=== samples/Gir/Makefile ===
run:
	@cat README

clean:
	rm -f *~
	rm -f *.db
