=== debian/changelog ===
libgda5 (5.2.10-4.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:57:27 +0000

libgda5 (5.2.10-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix MySQL detection by configure with
    -Werror=implicit-function-declaration (Closes: #1066768).

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 23 Mar 2024 16:10:52 +0500

libgda5 (5.2.10-4) unstable; urgency=medium

  * Bump debhelper from old 12 to 13
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed
  * Build-depend on dpkg-dev (>= 1.22.5) to avoid accidental backports
  * Release to unstable (Closes: #1062308)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 21:28:17 -0500

libgda5 (5.2.10-3.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 00:53:23 +0000

libgda5 (5.2.10-3) unstable; urgency=high

  * Stop building with libsoup2.4. This drops the web provider
    (Closes: #1017528)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 12:02:38 -0400

libgda5 (5.2.10-2) unstable; urgency=medium

  * Cherry-pick MySQL-bool-is-here-again.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Sep 2021 15:14:27 -0400

libgda5 (5.2.10-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on autoconf-archive
  * debian/rules: Clean up a bit
  * debian/rules: Don't ignore build test failures

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Sep 2021 14:32:55 -0400
